PHP-инклюдинг в BCWB

Дата публикации:
22.09.2006
Всего просмотров:
2688
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4946
CVE-2006-5816
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Business Card Web Builder (BCWB) 2.x
Уязвимые версии: Business Card Web Builder (BCWB) 2.5 Beta и более версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "root_path" в сценарии include/startup.inc.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[home]/include/startup.inc.php?root_path=[file]

URL производителя: www.cmsdevelopment.com/bcwb_en

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: BCWB <= 0.99 (root_path) Remote File Include Vulnerability

или введите имя

CAPTCHA